Avatar

Please

Login

 or  

Create

your Artix Account


Is Flash required to play the games?

You need to have Flash installed to play EpicDuel, HeroSmash or OverSoul. You can get Flash Player from Adobe's Official site, here.

Please always make sure that you are using the most recent upgrade of Flash when playing the games, which is Flash Version 9.0 and up. If you do not, it could cause problems with your browser and playing our games.

contactIf you have any technical issues, please email us.

Back to Help

 

Home | PRIVACY POLICY | Terms & Conditions | Contact Us

New Games Mini Games
Browser Games Free MMORPG
Online RPG Sci-Fi Game with Aliens
Mech Game in Space PvP MMO
Dragon Game Web RPG

"AdventureQuest", "DragonFable", "MechQuest", "ArchKnight", "BattleOn.com", "AdventureQuest Worlds", "Artix Entertainment", "Artix"
and all game characters are either trademarks or registered trademarks of Artix Entertainment, LLC